Subject: Re: [Intel-wired-lan] [PATCH net-next v2 00/15] Introduce Intel IDPF driver

From: Leon Romanovsky <[email-masked]>
Date: Thu, 13 Apr 2023 10:15:29 +0300

On Wed, Apr 12, 2023 at 07:24:34PM -0700, Jakub Kicinski wrote:
> On Wed, 12 Apr 2023 19:03:22 -0500 Samudrala, Sridhar wrote:
> > On 4/12/2023 2:16 PM, Willem de Bruijn wrote:
> > > Sasha Levin wrote:  
> > >> On Mon, Apr 10, 2023 at 06:13:39PM -0700, Pavan Kumar Linga wrote:  
> > >> How will this work when the OASIS driver is ready down the road?
> > >>
> > >> We'll end up with two "idpf" drivers, where one will work with hardware
> > >> that is not fully spec compliant using this Intel driver, and everything
> > >> else will use the OASIS driver?
> > >>
> > >> Does Intel plan to remove this driver when the OASIS one lands?
> > >>
> > >> At the very least, having two "idpf" drivers will be very confusing.  
> > > 
> > > One approach is that when the OASIS v1 spec is published, this driver
> > > is updated to match that and moved out of the intel directory.  
> > 
> > Yes. We don't want to have 2 idpf drivers in the upstream kernel.
> > It will be an Intel vendor driver until it becomes a standard.
> > Hope it will be OK to move the driver out of the intel directory when 
> > that happens.
> 
> As I said previously in [0] until there is a compatible, widely
> available implementation from a second vendor - this is an Intel
> driver and nothing more. It's not moving anywhere.

Even if second implementation arrives, it is unlikely that this
idpf driver will be moved. Mainly because of different level of
review between vendor driver vs. standard one, and expected pushback
to any incompatible changes in existing driver as it is already deployed.

Thanks

> 
> I think that's a reasonable position which should allow Intel to ship
> your code and me to remain professional.
> 
> [0] https://lore.kernel.org/all/[email-masked]/